KDWSDL2CPP(1)

NAME
kdwsdl2cpp - KDAB's WSDL to C++ compiler

USAGE
Header file: kdwsdl2cpp [options] -o <headerfile> <wsdlfile>

Impl.  file: kdwsdl2cpp [options] -o <cppfile> -impl <headerfile> <wsdlfile>

Both files : kdwsdl2cpp [options] -both <basefile> <wsdlfile>

OPTIONS

-h, -help
    display this help and exit

-v, -version
    display version

-s, -service
    name of the service to generate

-o <file>
    output the generated file into <file>

-impl <headerfile>
    generate the implementation(.cpp) file, and #include <headerfile>

-both <basefilename>
    generate both the header(.h) and the implementation(.cpp) file

-server
    generate server-side base class, instead of client service

-exportMacro <macroname>
    set the export declaration to use for generated classes

-namespace <ns>
    put all generated classes into the given C++ namespace

-namespaceMapping <mapping>
    add the uri=code mapping if <mapping> begins with '@', read from file instead one entry per line (affects the generated class names)

-optional-element-type <type>
    use <type> as the getter return value for optional elements. <type> can be either raw-pointer, boost-optional or std-optional

-keep-unused-types
    keep the wsdl unused types to the cpp generation step

-import-path <importpath> search for files first in this path before
    downloading them. may be specified multiple times. the file needs to be located at: <importpath>/<url-host>/<url-path>

-use-local-files-only
    only use local files instead of downloading them automatically. this can be used to force the correct use of the import-path option

-help-on-missing
    When groups or basic types could not be found, display available types (helps with wrong namespaces)

-pkcs12file
    Load a certificate from a PKCS12 file. You can use this option if the WSDL file (or files refering to it) is served from a location which require certificate based authentication

-pkcs12password
    Pass the password for the certificate file if required. This option is not secure and should be used with caution if other users of the machine are capable to see the running processes ran by the current user.

AUTHORS

kdwsdl2cpp was written by Tobias Koenig <tokoe@kde.org>.

This manual page was written by Thomas Pierson <contact@thomaspierson.fr> for the Debian system (and may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 any later version published by the Free Software Foundation.